Subject: RFC 4258 bis Design Team Formed

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 25 Mar 2008 11:26:19 -0000

Hi CCAMP,

We have three volunteers to do the heavy lifting for the proposed revision 
of RFC 4258. They are:

Jonathan Sadler <[email-masked]>
Stephen Shew <[email-masked]>
Lyndon Ong <[email-masked]>

Thanks to them for taking this on.

Below is a rough charter for their work.
A dedicated IETF mailing list will be set up soon for the discussion of this 
work, and we will circulate the subscription details.

 1. An IETF design team is just a group of people working
   together with a common goal. People may join or leave
   the team. You are encouraged to limit the team to the
   people who actively contribute text to the Internet-
   Draft you are producing. Review and discussion of
   your work should be held in a wider forum. Other teams
   may be set up with the same or similar objectives.

 2. Your objective is to produce a revision of RFC 4258
   in an Internet-Draft called draft-xxxx-ccamp-rfc4258bis-00.txt.
   You may entirely rewrite RFC 4258 or re-use text as appropriate.
   Your output, if eventually published as an RFC, will obsolete
   RFC 4258.

 3. The purpose of the revision is to fully capture all of the ASON
   routing requirements expressed in current ITU-T Recommendations
   and express them in IETF routing terminology such that they can
   be understood and implemented within the IETF. Each requirement
   must be shown with full traceability back to its statement in an ITU-T
   Recommendation.

 4. You should take care to fully credit the original authors of RFC 4258.

 5. At this stage, your charter does not extend beyond the ASON
   routing requirements (i.e. the revision of RFC 4258). If this work is
   successful and demonstrates a need, future work may be chartered to
   revise RFC 4652 to examine how existing IETF routing protocols can
   be used to meet the requirements expressed in your new work.

 6. You should use Adrian Farrel as your IETF process adviser.

 7. A dedicated IETF mailing list will be established for public discussion
   of your work. You do not need to hold all discussions of your draft on
   this list, but you are encouraged to have as many debates (even
   between yourselves) in this forum.

 8. You should work to the following timeline.

   March 2008
   Design Team formed

   May 2008
   Publish the -00 revision of your I-D
   Initiate discussions on your mailing list

   June 2008
   Publish the -01 revision of your I-D
   Continue discussions on your mailing list

   July 2008
   Present the -01 revision (or later) of your I-D at the CCAMP
      session of the Dublin IETF meeting

   August 2008
   Adopt draft as a CCAMP working group draft
   Discuss on CCAMP mailing list
   Move rapidly to CCAMP working group last call

We wish them well.
Adrian